# Uses of Interface
net.shibboleth.idp.saml.nameid.NameIdentifierDecoder

Packages that use NameIdentifierDecoder
Package
Description
net.shibboleth.idp.saml.nameid.impl
Implementation of SAML `NameID` and `NameIdentifier` generation and consumption.

## Uses of NameIdentifierDecoder in net.shibboleth.idp.saml.nameid.impl

Classes in net.shibboleth.idp.saml.nameid.impl that implement NameIdentifierDecoder
Modifier and Type
Class
Description
`class`
`CryptoTransientNameIdentifierDecoder`
Processes a transient `NameIdentifier`, checks that its `NameIdentifier.getNameQualifier()` is correct, and decodes `XSString.getValue()` via the base class (reversing the work done by `CryptoTransientIdGenerationStrategy`).
`class`
`TransformingNameIdentifierDecoder`
Transform from a `NameIdentifier`.
`class`
`TransientNameIdentifierDecoder`
Decodes `XSString.getValue()` via the base class (reversing the work done by `TransientSAML1NameIdentifierGenerator`).
Fields in net.shibboleth.idp.saml.nameid.impl declared as NameIdentifierDecoder
Modifier and Type
Field
Description
`private NameIdentifierDecoder`
NameIdentifierCanonicalization.`decoder`
Supplies logic for decoding the `NameIdentifier` into a principal.
Methods in net.shibboleth.idp.saml.nameid.impl that return NameIdentifierDecoder
Modifier and Type
Method
Description
`NameIdentifierDecoder`
NameIdentifierCanonicalization.`getDecoder()`
Get the class responsible for decoding the `NameIdentifier` into a principal.
Methods in net.shibboleth.idp.saml.nameid.impl with parameters of type NameIdentifierDecoder
Modifier and Type
Method
Description
`void`
NameIdentifierCanonicalization.`setDecoder(NameIdentifierDecoder theDecoder)`
Set the class responsible for decoding the `NameIdentifier` into a principal.